import { Category } from './Category';
import { ParticipantFromApi } from './Participant';

export interface Competiton {
  WetId: string;
  rkey: string;
  name: string;
  comp_name: string;
  date_span: string;
  discipline?: string;
  cats: Category[];
  categorys: Category[];
  date: string;
}

export interface RouteNames {
  '0'?: string; // Qualification
  '1'?: string; // 1/16 - Final
  '2'?: string; // 1/8 - Final
  '3'?: string; // 1/4 - Final
  '4'?: string; // 1/2 - Final
  '5'?: string; // Small final
  '6'?: string; // Final
  '-1'?: string; // General result
  [key: string]: string | undefined;
}

export interface SpeedCompetitionCategoryResult extends Competiton {
  route_names: RouteNames;
  participants: ParticipantFromApi[];
  route_order: string;
}
